Skip to content

List Skills

GET /skills
NameInTypeNotes
qquerystring | nulloptional—
scopequerystring | nulloptional—
owner_agent_idquerystring (uuid) | nulloptional—
curation_statequerystring | nulloptional—
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_SkillView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/skills \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsSkillView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—